<?php

namespace App\Http\Controllers\User;

use App\Http\Controllers\Controller;
use App\Models\Card;
use App\Models\Gateway;
use App\Services\CoinPaymentsAPI;
use Illuminate\Http\Request;
use Inertia\Inertia;

class CardController extends Controller
{
    public function create()
    {
        $gateways = Gateway::query()->where('status', 1)->get();
        $cards = Card::query()
            ->where('status', 'active')
            ->with('category:id,title,icon')
            ->get();
        return Inertia::render('User/Card/Create', [
            'gateways' => $gateways,
            'cards' => $cards,
        ]);
    }
}
