<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('payouts', function (Blueprint $table) {
            $table->id();
            $table->string('invoice_no');
            $table->foreignId('user_id')->constrained()->cascadeOnDelete();
            $table->foreignId('wallet_id')->nullable()->constrained()->cascadeOnDelete();
            $table->foreignId('payout_method_id')->nullable()->constrained()->cascadeOnDelete(); //TODO:: maybe delete by project manager
            $table->double('amount')->nullable();
            $table->integer('charge');
            $table->string('currency');
            $table->string('requested_currency');
            $table->string('requested_amount');
            $table->text('comment')->nullable();
            $table->text('meta')->nullable();
            $table->string('status')->default('pending'); //pending, completed, failed
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('payouts');
    }
};
