<?php

use App\Http\Controllers\Api\CreditCardController;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;


/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/

Route::group(['middleware' => ['throttle:api'], 'as' => 'api.',], function () {

    Route::get('get-states-by-country/{country_id}', function ($country_id) {
        return \App\Models\State::where('country_id', $country_id)->get();
    })->name('get-states-by-country');

    Route::get('get-cities-by-state/{state_id}', function ($state_id) {
        return \App\Models\City::where('state_id', $state_id)->get();
    })->name('get-cities-by-state');

    Route::get('credit-card-total-spend/{uuid}', [CreditCardController::class, 'credit_card_current_spend'])
        ->name('credit_card_current_spend')->middleware('auth');

    Route::post('/stripe/ephemeral-key', [CreditCardController::class, 'createEphemeralKey'])
        ->name('credit_card_ephemeral_key')->middleware('auth');
});
