<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\CoingateCallbackController;
//**======================== Payment Gateway Route Group for merchant ====================**//
Route::group(['middleware' => ['web']], function () {
    Route::get('/payment/paypal', '\App\Gateway\Paypal@status');
    Route::post('/stripe/payment', '\App\Gateway\Stripe@status')->name('stripe.payment');
    Route::get('/stripe', '\App\Gateway\Stripe@view')->name('stripe.view');
    Route::get('/stripe-pay/success', '\App\Gateway\Stripe@status')->name('stripe.success');
    Route::get('/stripe-pay/fail', '\App\Gateway\Stripe@fail')->name('stripe.fail');

    Route::get('/payment/mollie', '\App\Gateway\Mollie@status');
    Route::post('/payment/paystack', '\App\Gateway\Paystack@status')->name('paystack.status');
    Route::get('/paystack', '\App\Gateway\Paystack@view')->name('paystack.view');
    Route::get('/payment/mercado', '\App\Gateway\Mercado@status')->name('mercadopago.status');
    Route::get('/razorpay/payment', '\App\Gateway\Razorpay@view')->name('razorpay.view');
    Route::post('/razorpay/status', '\App\Gateway\Razorpay@status');
    Route::get('/payment/flutterwave', '\App\Gateway\Flutterwave@status');
    Route::get('/payment/thawani', '\App\Gateway\Thawani@status');
    Route::get('/payment/instamojo', '\App\Gateway\Instamojo@status');
    Route::get('/payment/toyyibpay', '\App\Gateway\Toyyibpay@status');
    Route::get('/manual/payment', '\App\Gateway\CustomGateway@status');
    Route::get('payu/payment', '\App\Gateway\Payu@view')->name('payu.view');
    Route::post('payu/status', '\App\Gateway\Payu@status')->name('payu.status');
    Route::get('coingate/success', '\App\Gateway\Coingate@success')->name('coingate.success');
    Route::get('coingate/failed', '\App\Gateway\Coingate@failed')->name('coingate.failed');
});

Route::get('coingate/card-pay/{oderId}/callback', [CoingateCallbackController::class, 'cardPayCallback'])->name('coingate.card-pay.callback');
Route::get('coingate/card-deposit/{oderId}/callback', [CoingateCallbackController::class, 'cardDepositCallback'])->name('coingate.card-deposit.callback');
Route::get('coingate/top-up/{oderId}/callback', [CoingateCallbackController::class, 'topUpCallback'])->name('coingate.top-up.callback');
Route::get('coingate/order/{oderId}/callback', [CoingateCallbackController::class, 'orderCallback'])->name('coingate.order.callback');
