<!DOCTYPE html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no,  maximum-scale=1.0">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">

    <link rel="icon" href="<?php echo e(asset(get_option('primary_data', true)['favicon'] ?? '/favicon.ico')); ?>" type="image/png">

    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Open+Sans:300,400,600,700">

    <meta name="app-name" content="<?php echo e(config('app.name')); ?>" />
    <meta name="app-translations" content="<?php echo e(getTranslationFile()); ?>" />

    <title inertia><?php echo e(config('app.name', 'Laravel')); ?></title>

    <script>
        "use strict"
        if (
            localStorage.getItem('theme') === 'dark' ||
            (!('theme' in localStorage) && window.matchMedia('(prefers-color-scheme: dark)').matches)
        ) {
            document.documentElement.classList.add('dark');
        } else {
            document.documentElement.classList.remove('dark');
        }
    </script>

    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('assets/css/custom.css')); ?>" media="all">
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('assets/css/custom-toastr.css')); ?>" media="all">
    <link rel="stylesheet" href="<?php echo e(asset('assets/css/payment.css')); ?>">
    <script src="https://js.stripe.com/v3/"></script>

    <?php echo app('Illuminate\Foundation\Vite')(['resources/js/app.js', 'resources/scss/admin/main.scss']); ?>
    <link rel="stylesheet" type="text/css" href="<?php echo e(asset('assets/css/custom-tiptap.css')); ?>" media="all">

    <?php if (!isset($__inertiaSsrDispatched)) { $__inertiaSsrDispatched = true; $__inertiaSsrResponse = app(\Inertia\Ssr\Gateway::class)->dispatch($page); }  if ($__inertiaSsrResponse) { echo $__inertiaSsrResponse->head; } ?>
</head>

<body>
    <?php echo app('Tighten\Ziggy\BladeRouteGenerator')->generate(); ?>
    <?php if (!isset($__inertiaSsrDispatched)) { $__inertiaSsrDispatched = true; $__inertiaSsrResponse = app(\Inertia\Ssr\Gateway::class)->dispatch($page); }  if ($__inertiaSsrResponse) { echo $__inertiaSsrResponse->body; } else { ?><div id="app" data-page="<?php echo e(json_encode($page)); ?>"></div><?php } ?>
</body>

</html><?php /**PATH /Volumes/my-works/laravel/ecard/resources/views/layouts/admin.blade.php ENDPATH**/ ?>