<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use App\Models\Option;
use App\Models\KycMethod;

class OptionsTableSeeder extends Seeder
{
  /**
   * Run the database seeds.
   *
   * @return void
   */
  public function run()
  {


   
    $options = array(
  array('id' => '1','key' => 'languages','value' => '{"en":"English"}','lang' => 'en'),
  array('id' => '2','key' => 'base_currency','value' => '{"name":"usd","icon":"$","position":"left"}','lang' => 'en'),
  array('id' => '3','key' => 'tax','value' => '0','lang' => 'en'),
  array('id' => '4','key' => 'invoice_data','value' => '{"company_name":"AMCoders","address":"Dhaka","city":"Dhaka","post_code":"1000","country":"Bangladesh"}','lang' => 'en'),
  array('id' => '5','key' => 'cardholder_data','value' => '{"address_line":"123 Main Street","city":"Anytown","postal_code":"12345","state":"CA","country":"US","phone":"+18888675309"}','lang' => 'en'),
  array('id' => '6','key' => 'plan','value' => '{"overview":"Plan","percentage":"65","plan_data":{"cards":"Card Info","deposit_fee":"Deposit charge"},"_method":"put","banner":"\\/uploads\\/24\\/03\\/2zIuIy1BvzzjfiNji0xT.jpg"}','lang' => 'en'),
  array('id' => '7','key' => 'card_intro_details','value' => '{"overview":"Get a card, with it will be more convenient for you to control your expenses","title":"Get your first card!","btn_text":"issue a card","_method":"put","preview":"\\/demo/hX1J8dhA3W10DFwDVxcO.png"}','lang' => 'en'),
  array('id' => '8','key' => 'primary_data','value' => '{"contact_email":"ecard@email.com","contact_phone":"+123 456-789","address":null,"socials":{"facebook":"https:\\/\\/www.facebook.com\\/thedevsstation","youtube":"https:\\/\\/www.youtube.com\\/@amcoders7114","twitter":"https:\\/\\/twitter.com\\/","instagram":"https:\\/\\/www.instagram.com\\/","linkedin":"https:\\/\\/www.linkedin.com\\/company\\/the-devstation\\/"},"slogan":"2190 Urban Terrace, Agrabad, Equal Licensed in 50 states.","copyright_text":"Copyright @2024 Ecard inc.","cta_s1":{"title":null,"sub_title":null,"btn_text":null,"btn_link":null,"bg_top_right_image":"\\/demo\\/LyE1UESMAySFIAbnEFUf.png","bg_top_right_image2":"\\/demo\\/bx4KAX57m159jUhnqcJ7.png","bg_bottom_center_image":"\\/demo\\/3lxIYrLcIfF7JlunPzaE.png","bg_overflow_img":"\\/demo\\/yq4YZWEfinYP2BKlLo9o.png","bg_img":"\\/demo\\/NOsv6d2A6HzSavVuZt7j.png","bg_top_left_image":"\\/demo\\/FarqnkKTbRpL7yKZEgUk.png"},"cta_s2":{"title":null,"sub_title":null,"list_items":null,"bg_img":"\\/demo\\/FW2TsTiMhkBMc5TrpeyJ.png","bg_overflow_image":"\\/demo\\/19nvBvXO0rc3eGgXa0v8.png","bottom_bg_img":"\\/demo\\/Ko5MYe64kiFkz3QESp4x.png"},"footer_cta":{"title":null,"sub_title":null,"btn_text":null,"btn_link":null,"img1":"\\/demo\\/wEcBH8iEXTZ14ojcUZBQ.jpg"},"career_platform":{"items":[{"title":null,"body":null}]},"favicon":"\\/demo\\/TKhAw41tAKz6QSz9ZJMR.png","deep_logo":"\\/demo\\/35oi1LcZ6fsMAgnuKh6j.png","logo":"\\/demo\\/7mr64Ez8bXkJhn8cmcqM.png","banner3":{"title":"Want to Chat? Feel free to Contact our Team.","sub_title":"If you have anything in mind just contact us with our expert.","btn_link":"\\/contact-us","btn_img":"\\/demo\\/RBLbcxJa39PNQhmqdDGF.svg","bg_img":"\\/demo\\/ogy91yzT0CwYng0DBt1Z.jpg"},"slider":{"title":"You\'re in a good hand","sub_title":"Optimize expense tracking across platforms, & product lines using multiple cards.","shape":"\\/demo\\/6B0EPCFAjXMDG7NH6AdU.svg"},"top_pre_text":"Hello!!","top_text":"Welcome to ecard."}','lang' => 'en'),
  array('id' => '9','key' => 'home_page','value' => '{"hero":{"title":"All Online Transactions In One Solution","sub_title":"Issue your card in clicks. Instant access to financial freedom.","btn_text":"Issue a Card","btn_link":"\\/register","right_sub_title":"<span class=\\"fw-500 text-dark \\">Over 90+<\\/span>  countries using our service without any hassle.","counter_number":"1.75","counter_suffix":"m","counter_sub_title":"Total Active user","img_1":"\\/demo\\/XU1e01UuGH0MDi4QPP7u.png","img_2":"\\/demo\\/WsgE5R0w2y33hIpplp0A.png","img_3":"\\/demo\\/OFqWDJKL84p2w3zwSY3Q.svg","img_4":"\\/demo\\/norDtItm8LJeHKntYBXf.svg","img_3_action_link":"\\/user\\/card-issue"},"features":{"cards":[{"title":"Instant Card Issuance","description":"Provide instant issuance of virtual prepaid cards upon account creation or request, ensuring quick a...","link":"\\/services\\/instant-card-issuance","icon":"\\/demo\\/PeE0bmPk9NKb6fcwoVux.svg"},{"title":"Fraud Prevention","description":"Utilize advanced fraud detection algorithms to monitor transactions in real-time and identify any su...","link":"\\/services\\/fraud-prevention","icon":"\\/demo\\/qHRdXNQDS4pZfFpeM498.svg"},{"title":"Security Features","description":"Implement robust security measures such as two-factor authentication, transaction notifications, and...","link":"\\/services\\/security-features","icon":"\\/demo\\/fvd19WcZWrJHpjdh6zRQ.svg"},{"title":"Reload Options","description":"Offer flexible reload options such as bank transfers, credit\\/debit card payments, and cash reloads a...","link":"\\/services\\/reload-options","icon":"\\/demo\\/CiU0A6808niG2NetNTdQ.svg"}],"title":"Why Choose ECard","sub_title":"Choose eCard for effortless transactions, robust security, and unparalleled convenience in managing your finances anytime, anywhere","btn_text":"All Services","btn_link":"\\/services","shape_1":"\\/demo\\/ovXE5lNaLMTjAbvdFyrO.svg","shape_2":"\\/demo\\/whdy1n7BE9opmFEPT0kl.svg"},"reviewer":{"counters":[{"number":"120","suffix":"+","description":"Partner with us"},{"number":"1.3","suffix":"b+","description":"Transactions Everyday"},{"number":"705","suffix":"k","description":"Successful Authorized"},{"number":"1.2","suffix":"%","description":"Low transaction charge"}],"name":"Musa Jamy.","position":"CEO & Head of babun.","right_text":"<span class=\\"fw-500 \\">7.42m+<\\/span> clients experience banking excellence by us. Trusted services, customer focused solutions, <span class=\\"opacity-25\\">and a legacy of financial reliability.<\\/span>","img":"\\/demo\\/ZFwUeVvbOCqiZ4CdgaX8.jpg","section_1_title":"Our Mission","section_1_sub_title":"Our mission is to provide secure, user-friendly virtual prepaid card solutions, empowering customers with control and confidence in digital payments.","section_2_title":"Our company vision.","section_2_sub_title":"Our vision is to lead the digital payment revolution, making virtual prepaid cards the standard for secure, convenient financial transactions.","top_title":"About us","title":"15k+ Client using Our Services.","sub_title":"At ECard, we offer secure, convenient virtual prepaid card solutions for seamless, worry-free online payments and financial control.","btn_text":"Request a Callback","btn_link":"\\/contact-us","shape_2":"\\/demo\\/7f7rdVQo5ytmJgJWOn4W.svg","shape_1":"\\/demo\\/YOqqjdqmMBJS3jUow4On.svg","section_1_img":"\\/demo\\/x9ac7JucLdotaCR3oQjg.svg","section_2_img":"\\/demo\\/FqPFJORcVDcH1OoGJIOk.svg"},"video_cta":{"title":"test title","btn_1_link":"\\/","btn_2_link":"\\/","right_title":"Let\\u2019s get started It\\u2019s simple.","right_sub_title":"Lorem Ipsum is simply dummy text of the printing and typesetting industry.","right_items":"Mobile app easy management & access | Ton\\u2019s of features for handle the card easily | Strong security system.","btn_text":"More about us","btn_link":"\\/about-us","link":"https:\\/\\/www.youtube.com\\/embed\\/0N0NHlvMEWs","img_1":"\\/demo\\/9qqQp6Eak3BeqmsCWDSl.jpg","img_2":"\\/demo\\/AUNSQd6UTeUgycljLA92.svg","img_3":"\\/demo\\/vbzuQgPHYrcuFE3BJXPJ.svg","btn_1_img":"\\/demo\\/ic9x0bTT2s9nOWcZ9Crk.svg","btn_2_img":"\\/demo\\/9BUngNUSq9BX5fWD4gR4.svg"},"card_cta":{"card_items":[{"title":"Mutual Funds.","description":"Mutual funds enable collective investment, managed by professionals for potential growth.","img":"\\/demo\\/uSKZ6xbzkKDfRcJXjYXe.svg","icon":"\\/demo\\/FZLckfrJXzgjzotoL0bb.svg"},{"title":"Pension Scheme.","description":"Pension schemes ensure financial security during retirement years for eligible individuals. Retirement pensions provide financial security for qualifying individuals.","img":"\\/demo\\/YGD3go3KvMDU15aV7O4C.svg","icon":"\\/demo\\/AgQ6lo6wwIOn79DQ9brn.svg"},{"title":"International Multi-Currency Visa & Master Card.","description":"International banking provides global financial services, including cross-border transactions, currency exchange, and offshore investments.","img":"\\/demo\\/kqFBeg2usqfYL3Cj9Vnh.svg","icon":"\\/demo\\/sYCzEqKvc8GtfybWEDPb.svg"}],"title":"We\'re here to help you build, manage & protect your wealth.","shape_1":"\\/demo\\/a3WjSolByGqYF6mUpPEl.svg"},"testimonial":{"title":"Find our Customers kind Words.","sub_title":"<span class=\\"fs-3\\">150,000+<\\/span> Client all over the world.","shape_1":"\\/demo\\/C9rRW7X0viN5aNksXVz3.svg","shape_2":"\\/demo\\/cL9EAXPi0xaCfJYT4NFK.svg"},"app_cta":{"title":"Download our bank Mobile App.","sub_title":"Control of all your banking needs needs anywhere, anytime","list_items":"Compare different insurance Item | Buy, store and share all your policies online | Email & Live chat","img_1":"\\/demo\\/YK9ll3KuUNkwf8s7loaz.png","btn_1_link":"\\/","btn_2_link":"\\/","btn_1_img":"\\/demo\\/R5cAvTfHW4xUr9ojCBN2.svg","btn_2_img":"\\/demo\\/uJlnlnrRwNSENtHAERhy.svg","btn_1_text":"Get it on","btn_1_sub_text":"Google play","btn_2_text":"Download on the","btn_2_sub_text":"App store"},"blog":{"title":"Latest News.","sub_title":"Get the latest update, trips & tricks from our expert."}}','lang' => 'en'),
  array('id' => '10','key' => 'about_page','value' => '{"header":{"title":"About Us","site_name":"ECard","image":"\\/demo\\/Y0ojmX0i2c2vNInZErXk.jpg","sub_title":"Discover Our Journey: Connecting & Inspiring!","left_image":"\\/demo\\/hE5u9QcLvc0t5IOyT56y.svg","right_image":"\\/demo\\/3LzX1KF8x2dnfgTGj9O5.svg","right_shape":"\\/demo\\/aFzEJwjgB1RTmFchpdhK.svg","left_shape":"\\/demo\\/FjM2jF78XTFQlncP28EJ.svg"},"cta_s1":{"features":"Various analysis options. | Page Load (time size number of requests). | Big data analysis.","top_title":"OVER 150K+ CLIENT","title":"We Offer Real Time Data Solutions","subtitle":"Excepteur sint occaecat cupidatat officia non proident <br \\/> sunt in culpa qui deserunt.!","btn_text":"Contact Us","btn_link":"\\/contact-us","image4":"\\/demo\\/P1EJPJ0ACCGNW4GncqTF.png","image1":"\\/demo\\/hgm5iY7WanRzGU0xi4c8.jpg","image2":"\\/demo\\/F5yEcmP6g4V9ZwrIKNdr.jpg","image3":"\\/demo\\/UzAEdU82Ys9fAL4kIJ9N.jpg","bg_image":"\\/demo\\/NmVhuq3AXMhc5NzhxQOO.png","left_bottom":"\\/demo\\/b815hRB6bJuT8IF3FBXD.png"},"partners":{"title":"Trusted by Thousands Business","sub_title":"More than 100,000+ teams are using ECard"},"company":{"top_title":"ABOUT THE COMPANY","left_title":"AMcoders is Made For the Creator.","right_text1":"Lorem ipsum dolor sit amet, consectetur adipiscing elit. Rutrum arcu sollicitudin viverra sit elit leo in. Vitae eu tellus mattis quis. Eu, tempus donec nam mauris egestas. Id aliquet ultricies ligula tellus arcu dolor. Massa arcu pulvinar in mattis  Feugiat purus congue risus, blandit a sed. In aenean quam aenean purus dictum pellentesque consequat.!","right_text2":"Our clean and simple APIs and transparent SaaS model will give you complete peace of mind.","creators":"11,000<em>+<\\/em>","revenue":"46<em>m<\\/em>","countries":"150<em>+<\\/em>","demo_video":"https:\\/\\/www.youtube.com\\/watch?v=YDXQ_nociO4"},"timeline":{"features":[{"date":"OCT 2019","title":"Our Vision <br> Of a better Way","body":"We envision sales teams having the tools  and talent they need to make remote"},{"date":"OCT 2019","title":"Our Vision <br> Of a better Way","body":"We envision sales teams having the tools  and talent they need to make remote"},{"date":"OCT 2019","title":"Our Vision <br> Of a better Way","body":"We envision sales teams having the tools  and talent they need to make remote"},{"date":"OCT 2019","title":"Our Vision <br> Of a better Way","body":"We envision sales teams having the tools  and talent they need to make remote"},{"date":"OCT 2020","title":"Our Vision <br> Of a better Way","body":"We envision sales teams having the tools  and talent they need to make remote"},{"date":"OCT 2021","title":"Our Vision <br> Of a better Way","body":"We envision sales teams having the tools  and talent they need to make remote"}],"top_title":"TIMELINE","title":"Journey Was Started"},"cta_s2":{"title":"Try our service now!","sub_title":"Eyerything you need to accept cord payments and grow your business <br \\/> anywhere on the planet.","btn_text":"Get Started Now","btn_link":"\\/services\\/reload-options"},"feature":{"counter1_title":"1.2x","counter1_text":"Rapid wealth grow","counter2_title":"$1.3b+","counter2_text":"$1.3b+","list":"Mobile app easy management & access. | Ton\\u2019s of features for handle the card easily & safely | Strong security system.","sub_title":"Your success is our mission. As business advisors, we offer expert guidance, unlocking your potential","title":"15k+ Client using Our Services.","bottom_overflow_img":"\\/demo\\/HPkVDxwkcnvGlKuz5Zwk.svg","top_overflow_img":"\\/demo\\/zF9ARrvnzsOBhOmeIo4M.svg","bg_img":"\\/demo\\/8LFyAmJUwS39yB85p0GP.jpg"},"feature2":{"items":[{"title":"120mil+","sub_title":"We\\u2019ve experience more than 10+ years with success.","icon":"\\/demo\\/KDbxFbdt3B5KRv8A2f9N.svg"},{"title":"$1.3b+","sub_title":"We achieve lot for our work from top certified agency.","icon":"\\/demo\\/kKYSg8RlzpVmlL5rIdcm.svg"},{"title":"730k+","sub_title":"We\\u2019ve more than happy 3000+ client all over the world.","icon":"\\/demo\\/dUsinEJWZtVHvw1aUXQl.svg"}],"sub_title":"Efficient problem-solving, insightful market analysis, and actionable plans made the consulting invaluable to our business\'s success.","title":"The Numbers Reflect Our Reputation.","shape":"\\/demo\\/bOFu9FBsy6dkqzNDBwA4.svg","shape2":"\\/demo\\/BFGe9W8JHZMeyFWWImJm.svg"},"feature3":{"items":[{"title":"Expert Advisor","sub_title":"Experienced in fintech, committed to innovative payment solutions.","link":"\\/contact-us","icon":"\\/demo\\/nCgr9aWLPI0Hkxie18MH.svg"},{"title":"Highly Secured","sub_title":"Advanced encryption, robust authentication, and real-time monitoring.","link":"\\/contact-us","icon":"\\/demo\\/xMIW5kV0i8ueNcp3YQQf.svg"},{"title":"Management","sub_title":"Easy fund loading, spending limits, detailed transaction tracking.","link":"\\/contact-us","icon":"\\/demo\\/WBu1TZY1CnnNdI22p0yw.svg"}],"title":"We\'re here to help you build, & protect your wealth.","shape":"\\/demo\\/zJUCkNXBijAJs2jlPYzN.svg"},"feature4":{"title":"You\'ve Entered Our Corporate Business Zone","sub_title":"Watch our intro video to get the idea about our services & many more","btn_link":"https:\\/\\/www.youtube.com\\/embed\\/0N0NHlvMEWs","bg_img":"\\/demo\\/WuIEaU4zPmq5DEq4LdHQ.jpg","btn_img":"\\/demo\\/5vDOvlJ4uJ5eLZofQKql.png"}}','lang' => 'en'),
  array('id' => '11','key' => 'career_page','value' => '{"career_platform":{"items":[{"title":"Firewall & VPN","body":"Blocks infected website tracking programs and annoying."},{"title":"Hack Protection","body":"Blocks infected website tracking programs and annoying."},{"title":"Live Security","body":"Blocks infected website tracking programs and annoying."},{"title":"Online Support","body":"Blocks infected website tracking programs and annoying."}],"top_title":"WHAT WE OFFER","title":"Our Platform","sub_title":"Explore how Avalance can help you toassess security controls continuously.","bottom_img":"\\/uploads\\/24\\/01\\/qH74IoZXErZnkxHbWPK7.png","image1":"\\/demo\\/oalSzGf72JaitnKWJkyt.png"},"career_header":{"title":"Build Your Career With The Lemon Team","sub_title":"Work without distraction on your own or with your team.","image1":"\\/demo\\/QyNNBvf5BYfIxkDK5JgO.png","image2":"\\/demo\\/Znr2ywoCiWHgMoAnr1B6.jpg","image3":"\\/demo\\/U355iUM47ia3tJoHidmL.png","image4":"\\/demo\\/mkgXAb6mZj6Z7Lz0MHQF.png"},"career_jobs":{"title":"Open Positions","sub_title":"Borem ipsum dolor sit amet, consectetur adipiscing elit. Nulla scelerisque tristique Et amet risus enim accumsan sit purus sit."},"career_details_sidebar":{"title":"Data Analysis <br \\/>  Tools & Methods","sub_title":"Lorem Ipsum is simply dummy text <br \\/> of the printing","btn_text":"Work With Us","btn_link":"\\/","bottom_img":"\\/demo\\/w9zh2rx9qGEVyT46crFU.png"}}','lang' => 'en'),
  array('id' => '12','key' => 'service_page','value' => '{"service":{"title":"Accounting Software <br> That <span>Handles it All.<\\/span>","btn_text":"See All Features","btn_link":"\\/contact-us","bg_img":"\\/demo\\/UBllQaDMechF8ucGW3rp.png","bg_top_left_image":"\\/demo\\/VC8u2XCR8gWGflznfNEg.png","bg_bottom_right_image":"\\/demo\\/XTXHTa0J97WF5RfaazJs.png","bg_bottom_right_imag":"\\/demo\\/Zuk0kZVVAe0TVXOsfjCm.png"},"hero":{"title1":"Our Top","title2":"Services","banner_img":"\\/demo\\/hF14IitLaxtPkBmmry4d.jpg"},"sidebar_card":{"title":"Any Questions? Let\\u2019s talk","sub_title":"Lorem Ipsum is simply dummy text of the printing","btn_text":"Let\\u2019s Talk","btn_link":"\\/contact-us","bg_img":"\\/demo\\/lt27uEC2EzSCS1J1wG8H.jpg","bottom_img":"\\/demo\\/fUjt1GI0vtvNCniQcmYi.png"},"banner":{"title":"Apply for card with low charge.","sub_title":"Apply for card & get up to $1000 with low charge","btn_text":"Get Started","btn_link":"\\/register","banner_img":"\\/demo\\/pA0XdzutwAo7xNP4oR13.jpg"},"features":{"items":[{"title":"Loan Facility","description":"Earning potential grows with dedication, innovation, & with our instruction from expert.","icon":"\\/demo\\/CgcR4IxxJgCaLeH92wwJ.svg"},{"title":"Multiple Account","description":"Effortless payments and transfers with our streamlined banking process.","icon":"\\/demo\\/VJ3HGECdcxza8SuJTlov.svg"},{"title":"Expense Track","description":"Strengthen budgeting through precise and instinctive monitoring of your expenses.","icon":"\\/demo\\/36A11nzAOhML8eJErB9k.svg"}],"title":"Complete prepaid card solution with great facility."},"service_list":{"title":"Why Choose ECard","sub_title":"Choose eCard for effortless transactions, robust security, and unparalleled convenience in managing your finances anytime, anywhere","btn_text":"Contact Us","btn_link":"\\/contact-us"}}','lang' => 'en'),
  array('id' => '13','key' => 'contact_page','value' => '{"address":"35Park Avenue, Uk","country":"Animi dolorem delec","map_link":"Hic nostrud aut adip","contact_info_text":"Possimus soluta vel","contact_info_number":"+1 (115) 927-8454","live_chat_service_text":"Provident et conseq","live_chat_service_website":"Cumque eius asperior","page_title":"<span>Get In<\\/span> <br \\/> <span>Touch<\\/span>","office_left_name":"Colombia","office_left_address":"Bogota D.C., Colombia, b. a 181 C No. 930 Ap 202","office_center_name":"France","office_center_address":"9 Pearse Street, Kinsale,Cork, P17 AH66, Ireland","office_right_name":"Egypt","office_right_address":"Av. Cordoba 1309, 3\'A, City of Buenos Aires, Egypt","top_title":"CONTACT US","title":"We\'d love to <br \\/> hear From <span> <svg width=\\"44\\" height=\\"44\\" viewBox=\\"0 0 44 44\\" fill=\\"none\\"         xmlns=\\"http:\\/\\/www.w3.org\\/2000\\/svg\\" xmlns:xlink=\\"http:\\/\\/www.w3.org\\/1999\\/xlink\\">         <rect width=\\"44\\" height=\\"44\\" fill=\\"url(#pattern0)\\" \\/>         <defs>             <pattern id=\\"pattern0\\" patternContentUnits=\\"objectBoundingBox\\" width=\\"1\\" height=\\"1\\">                 <use xlink:href=\\"#image0_2106_35\\" transform=\\"translate(-0.425532 -0.170213) scale(0.0212766)\\" \\/>             <\\/pattern>             <image id=\\"image0_2106_35\\" width=\\"83\\" height=\\"66\\"                 xlink:href=\\"data:image\\/png;base64,iVBORw0KGgoAAAANSUhEUgAAAFMAAABCCAYAAAArOOo+AAADcklEQVR4nO2bP0wTURzHP5RqQhyMtyJNTCcTnKCLnVhs4sRmHRk10U0WFhcXiQskuDPhxirRQZMagn8WB1gatTqQiMV\\/qRBM6nB99oDe9Y7+3mvf8T5j03u\\/yyfv97vvK8dQs9ls4hAh0+8bSBNOpiBOpiBOpiBOpiBOpiBOpiBOpiCnWma1AmvzUK\\/JrJeVWcYeqhWovoKnDw9\\/fu1e72ufCplhAhUXLsrUSa3MbgKD5IsyNVMlM4nAIF5Opr71Mk8qUFEoy92LlTJ7FRgkf7X3NRRDtvyeKSkwyKOvcmsN9M6UEuiNQf3z8c8lWxwGUKbkDvTGoHAzfC3JFocBkamjhfNFKC\\/Ag4no70jSN5m6ZiBAadY\\/0SxNR39PKhIpjMrUKRD8ti4v+jtubd6vF4b0vAQDMnULVOSLcHu1XbNbPel5CZqiUb0Gb57oF6hQba1qR81JhWQkUmjZmY+nO0cRaYJtrVi52\\/06HS0OmmTeWm239+sVHRUOt7Wi25z8f62GFgcDJ6B6TV5ssK0V1Ur3p7di7q38kxwMHyd7FduprdW6ceakQse8BBg6OPjbzGaH9aweQVKxndpasTQdr73Bn5flxfj3mYTMyxfv9KzcBS\\/nH\\/XKi37blRfCHwyl2XCRceekQte8BBg+N3Lp\\/tRUgTNn+3eyHDkPo1dg\\/LovdHTc\\/2zvB8wsh0uuVmDlTrJaM8u9328Y2efPNtjc\\/MDE5GV9VRLg5dq7Nop6Lf4DR6ErEiky29vfWF9\\/r7eKBuLkyaPobHFo\\/d18a+sjjcae3kqCJJ2TCulfiY6SAah92rZGZpxzdxg6smWQDMDOznd2d3\\/qrSRE0jmp0D0voSXzT2OP\\/f0D\\/dUEKM2e7Drd8xJaMqvVL\\/z+1dBfTYDJGye7rls6kMC6F7e8XPKWNdHiYKFMSP6SlYkWB0tlerlkMUd3JFJYKROglGB36o5ECmtl5ovxdpypeQkWywQoxHiym5qXYLnMWDvTQCRSWC3Ty0WHeJMtDpbLhOgQb7LFIQUyo0K8qUiksF4mhId4U5FIkQqZnUK86XkJKZEJx0O86XkJKZJ5NMSbjESK1MiEdojvR4tDymTmi61Xr\\/skcyBew5bCy8Fcf96pAFK2M\\/uNkymINf9UZQNuZwriZAriZAriZAriZAriZAriZAriZAryD4xxER8vOFEDAAAAAElFTkSuQmCC\\" \\/>         <\\/defs>     <\\/svg> <\\/span> you.","sub_title":"While we\'re good with smoke signals, there are easier ways to get in touch.","bottom_title":"Book a Demo!","bottom_sub_title":"We will contact again after receive your request in 24h","email":"contact@softuch.com","phone":"+1-202-555-0144","facebook":"https:\\/\\/www.qykowytycat.in","twitter":"https:\\/\\/www.feputigabuvyn.org","linkedin":"https:\\/\\/www.dynatepami.com.au","instagram":"https:\\/\\/www.gativufyx.biz","image":"\\/demo\\/RTPIkUjtTzDMZbFt2j4s.png","office_left_img":"\\/demo\\/m0CaSWEJL4TkJMvRqlnJ.png","office_center_img":"\\/demo\\/pdoRvt731U5zSpWt8zYe.png","office_right_img":"\\/demo\\/4oM0nXA33pCAGbfn7j4k.png","bottom_email_img":"\\/demo\\/hMjn8PC0LUKyPpoAXMA6.png","bottom_phone_img":"\\/demo\\/TCpLDzX2FVNI1NnlcncW.png","bottom_address_img":"\\/demo\\/d1tTPJeWItQKO7lSLvN6.png","left_img":"\\/demo\\/HuRndkcxOl2IcrrtKaO1.png","office":{"list":[{"name":null,"address":null,"img":null},{"name":null,"address":null,"img":null},{"name":null,"address":null,"img":null}],"items":[{"title":"Our Address","sub_title":"1012 Pebda Parkway, Mirpur 2 <br\\/> Dhaka, Bangladesh","icon":"\\/demo\\/tiqaNViRJznqlhfoLiqF.svg"},{"title":"Open a chat or give us call at","sub_title":"Open a chat or give us call at <br\\/> 310.841.5500","icon":"\\/demo\\/SUXX0CmENTIUu8QXJTUk.svg"},{"title":"Live Support","sub_title":"live chat service <br\\/> www.ecardlivechat.com","icon":"\\/demo\\/H9gqAGEIIFWjGz7O6gxl.svg"}]},"map":{"address":"Dhaka"},"hero":{"title":"Contact Us","banner":"\\/demo\\/pBGptwcCzbcXcyiKaBoC.jpg","sub_title":"Discover Our Journey: Connecting & Inspiring!","title_bg":"\\/demo\\/dtvOmWCYa5nWwQL2geuY.svg"},"form":{"title":"Have inquiries? Reach out via message","img":"\\/demo\\/7NxAtHqmuebxEo3NM4lu.svg"}}','lang' => 'en'),
  array('id' => '14','key' => 'auth_pages','value' => '{"login":{"image1":"\\/demo\\/nOznnc6lcaMcqG7KjaRg.png","banner_text":"Welcome To Your ECard app.","image2":"\\/demo\\/nzOe4se52wxxZ9ybLH5v.png","image3":"\\/demo\\/6WRM1CHA6XnD3X1aYRWD.jpg","image4":"\\/demo\\/6z5RqwO8kFnNQv5lwwEJ.png","bg_image":"\\/demo\\/iL8Kp0ZRKn7FB2MvSko3.png","image5":"\\/demo\\/F1bDYaDTwhZI2h8Zwgjn.png"}}','lang' => 'en'),
  array('id' => '15','key' => 'integration_page','value' => '{"hero":{"title":"Integrations","banner_img":"\\/demo\\/M4TakxrmIucZCmpT2z57.png"},"list":{"title":"What you will get","sub_title":"Take your business to the next level with accessible premium extensions & different features"},"slider":{"btn_text":"See all Integrations","top_title":"Integration","title":"Integrated with Your <span>Favorite Apps<\\/span>","btn_link":"\\/contact-us","bg_img":"\\/demo\\/cya23xRsAvSOq1SXhQAJ.jpg"}}','lang' => 'en'),
  array('id' => '16','key' => 'seo_services','value' => '{"title":"Services","description":"Services seo Description  Services seo Description  Services seo Description  Services seo Description  Services seo Description  Services seo Description  Services seo Description  Services seo Description  Services seo Description  Services seo Description  Services seo Description  Services seo Description","preview":null,"tags":"Services, seo, tags"}','lang' => 'en'),
  array('id' => '17','key' => 'seo_home','value' => '{"title":"Home","description":null,"preview":null,"tags":null}','lang' => 'en'),
  array('id' => '18','key' => 'seo_about','value' => '{"title":"About Us","description":null,"preview":null,"tags":null}','lang' => 'en'),
  array('id' => '19','key' => 'seo_projects','value' => '{"title":"Projects","description":null,"preview":null,"tags":null}','lang' => 'en'),
  array('id' => '20','key' => 'seo_team','value' => '{"title":"Our Team","description":null,"preview":null,"tags":null}','lang' => 'en'),
  array('id' => '21','key' => 'seo_integrations','value' => '{"title":"Integrations","description":null,"preview":null,"tags":null}','lang' => 'en'),
  array('id' => '22','key' => 'seo_pricing','value' => '{"title":"Pricing","description":null,"preview":null,"tags":null}','lang' => 'en'),
  array('id' => '23','key' => 'seo_careers','value' => '{"title":"Career","description":null,"preview":null,"tags":null}','lang' => 'en'),
  array('id' => '24','key' => 'seo_blogs','value' => '{"title":"Blogs","description":null,"preview":null,"tags":null}','lang' => 'en'),
  array('id' => '25','key' => 'seo_contact','value' => '{"title":"Contact Us","description":null,"preview":null,"tags":null}','lang' => 'en'),
  array('id' => '26','key' => 'seo_login','value' => '{"title":"Login","description":null,"preview":null,"tags":null}','lang' => 'en'),
  array('id' => '27','key' => 'seo_register','value' => '{"title":"Register","description":null,"preview":null,"tags":null}','lang' => 'en'),
  array('id' => '28','key' => 'seo_faq','value' => '{"title":"Questions & Answers","description":"Find out the all the question & answers you have about us","preview":null,"tags":null}','lang' => 'en')
);
    
    Option::insert($options);


    $kyc_methods = array(
      array('id' => '1', 'title' => 'Identity Verification', 'image' => '/demo/JOY22q6ylSS3RZMphrJI.jpg', 'image_accept' => '1', 'status' => '1', 'fields' => '[{"label":"Name","type":"text"},{"label":"Passport Number","type":"number"}]', 'created_at' => '2024-04-02 13:59:20', 'updated_at' => '2024-05-07 06:47:29')
    );

    KycMethod::insert($kyc_methods);
  }
}
